[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.SetReturnValue

Set return value of a thread

## Declaration

Source position: classesh.inc line 1798

`public class procedure TThread.SetReturnValue(`
`aValue: Integer`
`);`

## Description

TThread.SetReturnValue sets the return value of an internally created thread.

## Errors

If the thread was not created by the FPC program, an EThreadExternalException exception is raised.

## See also

EThreadExternalException |  | Exception raised when an invalid operation is attempted on an external thread
TThread.CheckTerminated |  | Check if the current thread has finished executing.